package com.malk.huaxiaojinshu.controller;


import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSON;
import com.malk.huaxiaojinshu.service.DDHXService;
import com.malk.huaxiaojinshu.service.XiaoManService;
import com.malk.huaxiaojinshu.utils.BaseSha256Util;
import com.malk.huaxiaojinshu.utils.XMConf;
import com.malk.huaxiaojinshu.utils.XiaomanAuthorization;
import com.malk.server.aliwork.YDParam;
import com.malk.server.common.McR;
import com.malk.server.dingtalk.DDConf;
import com.malk.service.aliwork.YDClient;
import com.malk.service.dingtalk.DDClient;
import com.malk.utils.UtilHttp;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.sql.*;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.time.LocalDate;
import java.time.ZoneId;
import java.time.format.DateTimeFormatter;
import java.time.temporal.TemporalAdjusters;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * 错误抛出与拦截详见 CatchException
 */
@Slf4j
@RestController
@RequestMapping()
public class HXJSController {

    @Autowired
    private DDClient ddClient;

    @Autowired
    private YDClient ydClient;

    @Autowired
    private XMConf xmConf;

    @Autowired
    private XiaoManService xiaoManService;

    @Autowired
    private DDHXService ddhxService;

    /**
     * 同步客户信息
     * @param request
     * @return
     */
    @PostMapping("syncUserInfo")
    McR syncUserInfo(HttpServletRequest request) {

        xiaoManService.syncUserInfo();
        return McR.success();
    }

    @RequestMapping("test")
    McR test(HttpServletRequest request) {
//        xiaoManService.syncDDUserInfo();

        xiaoManService.syncDDUserInfo();



        return McR.success();
    }


}
