package com.malk.huaxiaojinshu.service;

import java.lang.reflect.Array;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

public interface DDHXService {


    /**
     * 获取在职人员的
     * @param access_token
     * @param status_list
     * @param offset
     * @param size
     * @return
     */
    Map getAllUserIdInfo(String access_token, String status_list, Number offset,Number size);


    /**
     * 获取员工花名册字段信息
     * @param access_token
     * @param userId
     * @return
     */
    List<Map> getDDUserInfoById(String access_token, String userId, Number appAgentId);


    /**
     *  获取考勤列表列定义
     */
    Map getAttColumns(String access_token);

    /**
     * 获取考勤列值
     * @param access_token
     * @return
     */
    Map getAttColumnsValue(String access_token, String userId, String column_id_list, String startTime, String endTime);

    /**
     * 获取假期报表
     * @param access_token
     * @param userId
     * @param leave_names
     * @param startTime
     * @param endTime
     * @return
     */
    Map getleavetimebynames(String access_token, String userId, String leave_names, String startTime, String endTime);

}
